@echo off

echo ***INICIANDO CARGA DE FW DEL PANEL REPETIDOR CAD-150-R***

panel_flasher .\binarios\PNL_CAD150-Rv320.s19 >NUL 
if %errorlevel% LEQ 0 goto ERROR_PANEL
echo  PANEL CARGADO CORRECTAMENTE
PING 1.1.1.1 -n 1 -w 2000 >NUL

language_flasher .\binarios\LANG_CAD150-CAv482.bin>NUL
if %errorlevel% LEQ 0 goto ERROR_LANGUAGE
echo  LENGUAJE CARGADO CORRECTAMENTE
PING 1.1.1.1 -n 1 -w 2000 >NUL

::En el repetidor no hay bucles
::loop_flasher .\binarios\LOOP_CAD150-Cv270.s19 1 >NUL
::if %errorlevel% LEQ 0 goto ERROR_LOOP
::echo  LOOPS CARGADOS CORRECTAMENTE

:OK
ECHO "FIRMWARE CARGADO CORRECTAMENTE :)"
pause
exit

:ERROR_LOOP
ECHO "ERROR AL CARGAR LOS LOOPS"
pause
exit

:ERROR_PANEL
ECHO "ERROR AL CARGAR EL FIRMWARE"
pause
exit

:ERROR_LANGUAGE
ECHO "ERROR AL CARGAR EL LENGUAJE"
pause
exit